RT-MIGRATE-TEST(8)

NAME
rt-migrate-test - real-time task migration program

SYNOPSIS
rt-migrate-test [-ceh] [-p prio] [-r time] [-s time] [-m time] [-l loops] [nr_tasks]

DESCRIPTION
Test real-time multiprocessor scheduling of tasks to ensure the highest priority tasks are running on all available CPUs

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes ('--').

In the summary of options, a value in brackets (), indicates a default value

-p, --prio=prio
    base priority to start RT tasks with (2)

-r, --run-time=time
    Run time (ms) to busy loop the threads (20)

-s, --sleep-time=time
    Sleep time (ms) between intervals (100)

-m, --maxerr=time
    Max allowed error (microsecs)

-l --loops=loops
    Number of iterations to run (50)

-e  Use equal prio for #CPU-1 tasks (requires > 2 CPUS)

-c, --check
    Stop if lower prio task is quicker than higher (off)

-h, --help
    Display usage

[nr-tasks]
    number of tasks to run (number of cpus + 1)

AUTHOR
rt-migrate-test was written by Steven Rostedt <srostedt@redhat.com>

This manual page was written by John Kacur <jkacur@redhat.com>